Rating@Mail.ru
IPB
Etersoft - from Windows to Linux
Etersoft
решения для перехода
с Windows на Linux
Дружественные сайты: alv.me и Rus-Linux.net

Здравствуйте, гость ( Вход | Регистрация ) Поиск · 

Профиль
Фотография
Опции
Опции
О себе
bormant не указал(а) ничего о себе.
Личная информация
bormant
Свой человек
Возраст не указан
Пол не указан
Место жительства не указано
День рождения не указан
Интересы
Нет данных
Другая информация
Операционная система: Нет данных
JID: Нет данных
Город: Нет данных
Статистика
Регистрация: 22-August 07
Просмотров профиля: 34777*
Последнее посещение: Сегодня, в 17:39
Часовой пояс: Aug 19 2017, в 19:32
1057 сообщений (0.29 за день)
Контактная информация
AIM Нет данных
Yahoo Нет данных
ICQ Нет данных
MSN Нет данных
Contact E-mail скрыт
* Просмотры профиля обновляются каждый час

bormant

Участники


Темы
Сообщения
Друзья
Содержимое
31 Jan 2017
30.01.2017 FOSS Force открыл финальный раунд ежегодного голосования на звание лучшего дистрибутива Linux.
В отборочном туре лидировал Arch, вторым был Mint.

Приглашаю желающих поучаствовать:
Best Linux Distro: Final Round of Voting Has Begun
10 Nov 2016
Выпущена Slackware Live Edition 1.4.4

Eric Hameleers (AlienBOB) объявил о выпуске Slackware Live Edition 1.1.4 на основе разрабатываемой версии Slackware -current (последнее изменение 04 ноября 03:31:38 UTC 2016) и нового выпуска "liveslak". Версия 1.1.4 включает несколько незначительных изменений. Теперь сценарий "iso2usb.sh" на не-Slackware дистрибутивах должен находить все требуемые установленные программы.

Подготовлены для загрузки следующие варианты:
  • SLACKWARE -- только slackware-current и ничего больше.
  • MATE -- Slackware с GTK3 версией Mate 1.16 с http://slackware.uk/msb/current/
  • PLASMA5 -- Slackware с Plasma 5 версии KDE-5_16.11 из хранилища ktown. Этот вариант содержит также окружения рабочего стола LXQT и Lumina. Оба являются лёгкими DE на основе Qt5 и выглядят весьма привлекательно. Зависимости пакетов Plasma 5 в составе ISO удовлетворены полностью (или почти).
    Замечание насчёт Lumina DE: по умолчанию сетевой апплет отключен, сеть требует подъема вручную. Можно использовать "nmtui" в терминале, можно вместо этого попробовать "networkmanager-applet" (вот только как).
  • XFCE -- 700-мегабайтный образ Slackware с XFCE.


Если у вас уже есть флешка со Slackware Live, необходимости в её переформатировании нет, можно использовать параметр "-r" сценария "iso2usb.sh". Параметр "-r" -- refresh -- позволяет обновить файлы liveslak на флешке не затрагивая прочего содержимого.

Определить версию загруженного ISO можно при помощи следующей команды:
Код
$ isoinfo -d  -i your_downloaded.iso | egrep "Volume id|Publisher id|Data preparer id|Application id"
Чтобы определить версию ISO, из которого создана флешка, смотрите в корне раздела Live (раздел номер 3) содержимое файла
Код
/.isoversion

Подготовленные 64-битные образы доступны для загрузки со следующих зеркал:
  • http://bear.alienbase.nl/mirrors/slackware-live/ (rsync://bear.alienbase.nl/mirrors/slackware-live/)
  • http://slackware.uk/people/alien-slacklive/ (rsync://slackware.uk/people/alien-slacklive/)
  • http://repo.ukdw.ac.id/slackware-live/ (rsync://ftp.slackware.pl/slackware-live/)
  • http://ftp.slackware.pl/pub/slackware-live/


Исходный код liveslack:
http://bear.alienbase.nl/cgit/liveslak/

Подробнее о Live Edition и liveslak (En):
http://alien.slackbook.org/blog/slackware-live-edition/
https://docs.slackware.com/slackware:liveslak

Подробнее о текущем выпуске Slackware Live Edition (En):
http://alien.slackbook.org/blog/slackware-...-of-4-nov-2016/
30 Jan 2015
Эрик (Alien BOB) выложил пакеты KDE 5 (KDE Frameworks 5.6.0, Plasma 5.2.0 and Applications 14.12.1) для Slackware -current.

Сообщение в блоге: http://alien.slackbook.org/blog/kde-5-plas...ckware-current/
Хранилище: http://taper.alienbase.nl/mirrors/alien-kde/current/testing/

Вашему вниманию ниже предлагается перевод тамошнего README. Удачи.
Код
Источник: http://taper.alienbase.nl/mirrors/alien-kde/current/testing/README
Дата:     28-Jan-2015 15:06
md5:      5dca696651471f5d65f85df703090257
Перевод:  Serg Bormant, 2015

KDE5
====

Это KDE 5 для Slackware, состоящее из KDE Frameworks 5.6.0,
Plasma 5.2.0 и Applications 14.12.1.
Оно предназначено для установки исключительно на Slackware -current
и *заменит* любую версию KDE 4, если такая у вас установлена!

Plasma 5 -- это новое поколение пространства рабочего стола KDE.
Plasma 5 улучшает поддержку дисплеев с высоким разрешением и приносит
"единую оболочку", то есть единую кодовую основу для различных целевых
устройств.  Plasma 5 использует новый графический стек OpenGL(ES) с
аппаратным ускорением.  Plasma 5 собирается с Qt 5 и Frameworks 5.
А с темой оформления Breeze (бриз) и её шрифтом Oxygen (кислород)
рабочий стол выглядит свежо и современно.

Прочие примечательные моменты:
- Множество пакетов в разделе 'deps', совершенно новых для Slackware.
  Поскольку KDE 5 собрано на Qt5 (в основе KDE 4 был Qt4), в наличии
  много пакетов, относящихся к Qt5.  Также, требуются дополнительные
  зависимости для закрепления в системном лотке приложений на основе
  Qt4 и GTK.  Поэтому, помимо обновлений пакетов из состава Slackware
  присутствуют новые:
  LibRaw, OpenAL, akonadi-qt5, eigen3, gst1-plugins-base, gst1-plugins-good,
  gstreamer1, json-glib, libappindicator, libdbusmenu-gtk, libdbusmenu-qt5,
  libepoxy, libfakekey, libindicator, orc, polkit-qt5-1, qca-qt5, qt-gstreamer,
  qt-gstreamer1, qt5, sni-qt, wayland и xapian-core.
- Примечание для пользвателей мультибиблиотечной Slackware64, использующих
  Skype: вам нужно загрузить 32-битный sni-qt и сконвертировать его при
  помощи 'convertpkg-compat32', иначе Skype не сможет поместить иконку
  в системный лоток.
- Украдкой собрал для вас phonon-vlc. Но воспользоваться им можно, только
  доустановив пакет VLC.
- Добавил свежий офисный пакет Calligra 2.8.7.
- Даже скомпилировав пакет 'kde-workspace' как часть всего набора, пришлось
  его исключить. Он конфликтует с новым пакетом plasma-workspace.
- Несколько исходных архивов Plasma 5.2.0 не скомпилированы в пакеты
  Slackware: libbluedevil и bluedevil (они требуют BlueZ, которого нет в
  Slackware), muon (пакетный менеджер debian/ubuntu), libkface (требует
  opencv, добавлять зависимость от которого не захотел).
- Ещё зависимость, которую, вероятно, сочтёте необычной -- wayland.  Он нужен
  для *компиляции* драйвера KWin для X11, но не требуется для *выполнения*.
  Тем не менее, пакет оставил на тот случай, если захочется или придётся
  пересобрать kwin.
- Графический вход: KDM заменён на SDDM.
  Чтобы увидеть новый графический менеджер сеансов (входа) SDDM в действии,
  добавьте в файл Slackware "/etc/rc.d/rc.4" следующие строки сразу после
  строки: echo "Starting up X11 session manager..."
  
  # --- 8< --------------------------------------
  if [ -x /usr/bin/sddm ]; then
    exec /usr/bin/sddm
  fi
  # --- 8< --------------------------------------
  
  ... а затем переключитесь в 4 уровень исполнения, выполнив (от root):
  
  # init 4
  
  Выберите "Plasma" из поля со списком сеансов SDDM.
  Вместо этого, если предпочитаете старый добрый уровень 3, можете набрать
  (в командной строке своей учётной записи):
  
  $ xwmconfig
  
  ... и выбрать "xinit.plasma" в качестве оконного менеджера X по-умолчанию.
  Затем выполните:
  
  $ startx

ПРИМЕЧАНИЕ:
Подробно описанное ниже обновление до KDE 5 нетривиально. Вы должны удалить
пакеты старого KDE вручную.  Если KDE не установлено вовсе, вам потребуется
вручную *установить* некоторые пакеты KDE из Slackware.

ПРИМЕЧАНИЕ:
Если решили установить этот набор пакетов поверх свежей установки Slackware
  -current, во время которой исключили все пакеты из набора 'KDE', у вас не
  будет некоторых дополнительных пакетов, некоторые из которых обязательны
  для правильной работы KDE!
  Если исключили набор 'KDE' целиком, вы должны установить как минимум
  следующие пакеты Slackware-current:
    * bluedevil
    * polkit-kde-agent-1
    * polkit-kde-kcmodules-1
  А также можете добавить:
    * amarok
    * kaudiocreator
    * kdevelop-pg-qt
    * kplayer
    * ktorrent
    * libktorrent

-------------------------------------------------------------------------------
Сборка всего из исходных текстов:
-------------------------------------------------------------------------------

Исходники и сценарии в моём хранилище 'ktown' лежат раздельно. Если вам нужны
исходники KDE 5, выполните следующую команду для их загрузки:

  # rsync -av rsync://alien.slackbook.org/alien/ktown/source/5 .

Прежде чем приступить к сборке KDE 5 вам потребуется скомпилировать и установить
множество 'зависимостей'.  Их компилирование и установка в Slackware-current не
сложнее, чем:
  # cd 5/deps
  # ./updates.SlackBuild
  # cd -

Будьте готовы к *долгому* ожиданию, поскольку среди прочих будет
пересобираться Qt4 и компилироваться новый пакет Qt5.  Готовые пакеты будут
сохранены в /tmp. Затем для компиляции пакетов KDE на вашем компьютере
выполните:
  # cd 5/kde
  # ./KDE.SlackBuild

После длительного ожидания вы обнаружите новые пакеты в /tmp/kde-build.
Заметьте, эти пакеты уже были установлены при выполнении KDE.SlackBuild!

Если же всё, что вам нужно, это мои готовые пакеты, описанное выше можно
пропустить.


-------------------------------------------------------------------------------
Установка скомпилированных пакетов:
-------------------------------------------------------------------------------

Для установки или обновления KDE 5 выполните следующее.

Убедитесь, что не запущены ни KDE, ни X !  Если активен сеанс X, сперва
выйдите из него, и, если активен уровень исполнения 4 (графический вход),
сперва вернитесь в уровень 3 (консоль), выполнив "init 3".

Если у вас установлен KDE 4, сперва нужно его удалить.  Возможность обновления
(upgrade) не поддерживается!  Сделайте так:

Если у вас установлено KDE 4.10.5 из Slackware:
  # removepkg /var/log/packages/*-4.10.5-*
  # removepkg libkscreen
  # removepkg kscreen
  # removepkg kde-workspace

Если у вас установлено KDE 4.14.3 из моего 'ktown':
  # removepkg /var/log/packages/*-4.14.3-*alien
  # removepkg libkscreen
  # removepkg kscreen
  # removepkg kde-workspace
  # removepkg libmm-qt
  # removepkg plasma-nm
  # removepkg kdeconnect-kde

Если у вас KDE 5.0.2 из моего 'ktown_preview':
  # removepkg /var/log/packages/*-5.0.2-*alien
  # removepkg /var/log/packages/*-5.2.0-*alien
  # removepkg kscreen2 libkscreen2 libmm-qt5 libnm-qt5 oxygen-fonts sddm

Теперь приступим к установке KDE 5 как описано ниже.

Для простоты вот однострочная команда, загружающая каталог '5' с 32- и
64-битными пакетами (без исходников) целиком (осторожно с "точкой" в конце
строки, она является частью команды!!):

  # rsync -av rsync://alien.slackbook.org/alien/ktown/current/5 .

Или, если нужны пакеты только для одной из двух поддерживаемых архитектур,
выполните одну из предложенных ниже команд (не упустите точку в конце!).

Если нужны только 64-битные пакеты:
  # rsync -av --exclude=x86 rsync://alien.slackbook.org/alien/ktown/current/5 .
Если нужны только 32-битные пакеты:
  # rsync -av --exclude=x86_64 rsync://alien.slackbook.org/alien/ktown/current/5 .

Допустим, вы только что загрузили набор пакетов нужной разрядности из дерева
каталогов "5", теперь вы должны перейти в каталог с этим файлом README (который
лежит в каталоге с именем '5').  Если использовали одну из команд выше, просто
выполните:

  # cd 5

Из этого каталога выполните следующие команды от root (заметьте, некоторые из
имён пакетов прежнего KDE теперь устаревшие, они разделены, переименованы или
объединены с другими, из-за чего и требовались команды 'removepkg'):

  Для Slackware 32-бит:
  # upgradepkg --reinstall --install-new x86/deps/*.t?z
  # upgradepkg --reinstall --install-new x86/kde/*/*.t?z

  Для Slackware 64-бит:
  # upgradepkg --reinstall --install-new x86_64/deps/*.t?z
  # upgradepkg --reinstall --install-new x86_64/kde/*/*.t?z

  Если у вас были установлены неанглийские языковые пакеты:

  Для Slackware 32-бит:
  # upgradepkg x86/kdei/*.t?z

  Для Slackware 64-бит:
  # upgradepkg x86_64/kdei/*.t?z

  Если вам нужны неанглийские языковые пакеты, которые сейчас не установлены,
  подставьте нужный код страны вместо XX в следующей команде:
  # upgradepkg --install-new x86_64/kdei/kde-l10n-XX-*.t?z

  Проверьте настроечные файлы ".new", которые могли появиться после команд
  upgradepkg.  Сравните их с имеющимися настройками и примите решение, нужны
  ли они вам.
  # find /etc/ -name "*.new"

  Графический (ncurses) инструмент для обработки файлов ".new":
  # slackpkg new-config

Теперь перезагрузите систему.

==============================================================================
                     Eric Hameleers / alien at slackware dot com / 28-янв-2015
29 Aug 2014
На форуме LQ представлен новый пакетный инструмент -- slpkg.

Из возможностей: установка/обновление/удаление бинарных пакетов, поддержка сетевых репозиториев, поддержка slackbuilds.org.

Тема на LQ: http://www.linuxquestions.org/questions/sh...421#post5228421
Сайт проекта: https://github.com/dslackw/slpkg
Демовидео: https://asciinema.org/a/11755
Просмотры


31 Jul 2017 - 16:20


1 May 2017 - 1:56


29 Apr 2017 - 22:49


13 Mar 2017 - 9:19


30 Oct 2016 - 18:31


Друзья
Друзей нет.
RSS Текстовая версия Сейчас: 19th August 2017 - в 19:32




Rating@Mail.ru